#ifndef _PLXINITIALIZE_H
#define _PLXINITIALIZE_H
/*******************************************************************************
*            Programme de commande Sepcsmaster                                 *
*            d'aprs ManufacturingTest (PLX Technology)                        *
*                                                                              *
*       Cration : 7 juillet 2003                                              *
*                  C.Pailler               LAL Orsay                           *
 ******************************************************************************/

/**********************************************************************
 *                                                                    *
 * Module Name:                                                       *
 *                                                                    *
 *     PlxInitialize.h                                                *
 *                                                                    *
 * Abstract:                                                          *
 *                                                                    *
 *     Header file for the PlxInitialize.c module                     *
 *                                                                    *
 * Revision History:                                                  *
 *                                                                    *
 *     04-19-00 : Support 9030                                        * 
 *     07-09-98 : Support SDK 2.0                                     *
 *     06-19-98 : Removed much unnecessary functionality.  Revised    *
 *                to include just needed functions.                   *
 *     10-02-97 : Added Support for selecting which device to use     *
 *                when more than one PLX device is found.  Also added *
 *                descriptions to DEVICE_LIST structure.              *
 *     09-25-97 : Version 1.0                                         *
 *                                                                    *
 *********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

#ifndef PCI_CODE
    #define PCI_CODE
#endif
#ifndef LITTLE_ENDIAN
    #define LITTLE_ENDIAN
#endif


#define PlxPrint                printf
#define PLX_9054_DEVICE_ID      0x9054

#if !defined(PCI_CODE) & !defined(IOP_CODE)
    #error PCI_CODE or IOP_CODE must be defined
#endif


#include <stdio.h>
#ifdef PCI_CODE
    #include <conio.h>
#endif
#include "PciApi.h"
//#include "Plx.h"
//#include "reg9080.h"
//#include "reg9054.h"
//#include "reg480.h"
#include "PlxBsp.h"

#if defined(IOP_CODE) & defined(MPC860)
    #define getch   charIn
    extern UCHAR charIn();
#endif



typedef struct _DEVICE_LIST
{
    char            DevStr[70];
    DEVICE_LOCATION device;
} DEVICE_LIST;

/***********************************************/
/*            PROCEDURE PROTOTYPES             */
/***********************************************/
char        SelectDevice(HANDLE *, DEVICE_LIST * );
BOOLEAN     IsPlxDevice(ULONG);
U32         FindDevice(HANDLE *, DEVICE_LIST *);


                     
#ifdef __cplusplus
}
#endif

#endif