#ifndef _SPECS_H
#define _SPECS_H
/*                bibliotheque Specs                 *
*    cration : CP 1er juillet 2003    LAL Orsay     */

// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the SPECS_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// SPECS_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef SPECS_EXPORTS
#define SPECS_API __declspec(dllexport)
#else
#define SPECS_API __declspec(dllimport)
#endif

#include "PlxApi.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _SPECSMASTER
{
	HANDLE hdle;
	U32 * pSpecsmasterReset;
	U32 * pSpecsmasterStatus;
	U32 * pSpecsmasterCtrl;
//	U32 * pSpecsmasterTestRegister;
	U32 * pSpecsmasterReceiverFifo;
	U32 * pSpecsmasterEmitterFifo;
} SPECSMASTER;

typedef struct _SPECSSLAVE
{
	SPECSMASTER *	pSpecsmaster;
	U8				SpecsslaveAdd;
} SPECSSLAVE;



SPECS_API void SpecsmasterInit(SPECSMASTER * pSpecsmaster,
							   UINT MasterID,
							   HANDLE hdle);

SPECS_API void SpecsmasterReset(SPECSMASTER * pSpecsmaster);

SPECS_API void SpecsmasterStatusRead(SPECSMASTER * pSpecsmaster,
									 U32 *pData);

SPECS_API void SpecsmasterCtrlWrite(SPECSMASTER * pSpecsmaster,
									 U32 Data);

SPECS_API void SpecsmasterEmitterFIFOWrite(
				SPECSMASTER * pSpecsmaster,
				U32 *pData,
				U32 Length);

SPECS_API void SpecsmasterReceiverFIFORead(
				SPECSMASTER * pSpecsmaster,
				U32 *pData,
				U32 Length);

SPECS_API void I2cBufferRead(
				SPECSSLAVE * pSpecsslave,
				U8 I2cAdd,
				U32 *pI2cData,
				U32 Length);

SPECS_API void I2cBufferWrite(
				SPECSSLAVE * pSpecsslave,
				U8 I2cAdd,
				U8 *pI2cData,
				U32 Length);

SPECS_API void JtagBufTDIWrite(
				SPECSSLAVE * pSpecsslave,
				U8 JtagAdd,
				U8 *pTdiData,
				U32 Length);

SPECS_API void JtagBufTMSWrite(
				SPECSSLAVE * pSpecsslave,
				U8 JtagAdd,
				U8 *pTmsData,
				U32 Length);



SPECS_API int I2ctoSpecs(unsigned char *BufI2c,
						 unsigned long *BufDestSpec,
						 int tailleBufI2c);

SPECS_API int TditoSpecs(unsigned char *BufTdi,
						 unsigned long *BufDestSpec,
						 int tailleBufTdi);

SPECS_API int TmstoSpecs(unsigned char *BufTms,
						 unsigned long *BufDestSpec,
						 int tailleBufTms);

#ifdef __cplusplus
}
#endif

#endif